# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/gedit/gedit-2.8.0.ebuild,v 1.4 2004/11/12 03:10:02 gustavoz Exp $

inherit eutils

DOLFIN_VERSION="0.5"
EXAMPLES_DIR="/usr/share/doc/dolfin"

SRC_URI="http://www.fenics.org/pub/software/dolfin/v${DOLFIN_VERSION}/${P}.tar.gz"

DESCRIPTION="PDE Solvers / 2D and 3D support"
HOMEPAGE="http://www.fenics.org/"


LICENSE="GPL-2"
KEYWORDS="~x86"
IUSE="opendx octave ivview ivcat"

RDEPEND=""

DEPEND="${RDEPEND}
	opendx? ( >=media-gfx/opendx-4.3.2 )
	octave? ( >=app-sci/octave-2.1.50 )
	ivview? (>=app-sci/ivview-2.1.5)
	ivcat? (>=app-sci/ivcat-2.1.5)"

src_compile() {

	econf || die
	emake all-recursive || die
	
}

src_install() {

	dodir ${EXAMPLES_DIR}
	cd ${WORKDIR}/dolfin-0.5.1/src/demo
	make clean || die
	cd ..
	cp -Rd demo ${D}${EXAMPLES_DIR}
	cd ${WORKDIR}/dolfin-0.5.1/src/modules
	make clean || die
	cd ..
	cp -Rd modules ${D}${EXAMPLES_DIR}
	cd ${WORKDIR}/dolfin-0.5.1
	cp -Rd doc ${D}${EXAMPLES_DIR}
	einstall || die
}
